//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializesubmitGameSessionResultResponse")
inline fun submitGameSessionResultResponse(block: gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponse =
  gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponseKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponse.newBuilder()).apply { block() }._build()
object SubmitGameSessionResultResponseKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponse.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponse.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponse = _builder.build()
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponse.copy(block: gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponse =
  gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultResponseKt.Dsl._create(this.toBuilder()).apply { block() }._build()

